import {ModelUtil, ModelUtilImpl, ConditionUtil, ConditionUtilImpl, FieldUtil } from 'model-util'
import {Container, Singleton} from 'typescript-ioc' 
import { CnGatewayVO } from '../models/index' 


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-01 14:07
 */
interface CnGatewayVOCU extends ConditionUtil<CnGatewayVOCU>{
    ID:FieldUtil<CnGatewayVOCU>;
    SERVICE_CENTER_ID:FieldUtil<CnGatewayVOCU>;
    SERVICE_CENTER_NAME:FieldUtil<CnGatewayVOCU>;
    APP_ID:FieldUtil<CnGatewayVOCU>;
    APP_NAME:FieldUtil<CnGatewayVOCU>;
    ENV_ID:FieldUtil<CnGatewayVOCU>;
    ENV_CODE:FieldUtil<CnGatewayVOCU>;
    K8S_ID:FieldUtil<CnGatewayVOCU>;
    K8S_NAME:FieldUtil<CnGatewayVOCU>;
    CONFIG_CENTER_CODE:FieldUtil<CnGatewayVOCU>;
    IMAGE_ID:FieldUtil<CnGatewayVOCU>;
    NAME:FieldUtil<CnGatewayVOCU>;
    IMAGE_NAME:FieldUtil<CnGatewayVOCU>;
    IMAGE_INFO:FieldUtil<CnGatewayVOCU>;
    START_SCRIPT:FieldUtil<CnGatewayVOCU>;
    CN_SLB_ID:FieldUtil<CnGatewayVOCU>;
    SLB_ID:FieldUtil<CnGatewayVOCU>;
    SPEC_TEMPLATE_ID:FieldUtil<CnGatewayVOCU>;
    SPEC_TEMPLATE_NAME:FieldUtil<CnGatewayVOCU>;
    METRICS_TEMPLATE_ID:FieldUtil<CnGatewayVOCU>;
    METRICS_TEMPLATE_NAME:FieldUtil<CnGatewayVOCU>;
    MIN_INSTANCE:FieldUtil<CnGatewayVOCU>;
    MAX_INSTANCE:FieldUtil<CnGatewayVOCU>;
    CPU:FieldUtil<CnGatewayVOCU>;
    MEMORY:FieldUtil<CnGatewayVOCU>;
    APP_OPTIONS_CONFIG:FieldUtil<CnGatewayVOCU>;
    DEPLOY_STATUS:FieldUtil<CnGatewayVOCU>;
    DEPLOY_MSG:FieldUtil<CnGatewayVOCU>;
    DELETED:FieldUtil<CnGatewayVOCU>;
    CREATE_USER_ID:FieldUtil<CnGatewayVOCU>;
    CREATE_TIME:FieldUtil<CnGatewayVOCU>;
    UPDATE_USER_ID:FieldUtil<CnGatewayVOCU>;
    UPDATE_TIME:FieldUtil<CnGatewayVOCU>;
    IMAGE_PORT_MAPPING:FieldUtil<CnGatewayVOCU>;
    ELASTIC_TYPE:FieldUtil<CnGatewayVOCU>;
    SLB_NAME:FieldUtil<CnGatewayVOCU>;
    DOMAIN:FieldUtil<CnGatewayVOCU>;
    URI:FieldUtil<CnGatewayVOCU>;
    LABEL_ID:FieldUtil<CnGatewayVOCU>;
}

class CnGatewayVOCUImpl extends ConditionUtilImpl<CnGatewayVOCUImpl> implements CnGatewayVOCU{ 
    newInstance(): CnGatewayVOCUImpl {
        return new CnGatewayVOCUImpl();
    } 
    get ID(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('id','id','id', this);
    }
    get SERVICE_CENTER_ID(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('service_center_id','serviceCenterId','service_center_id', this);
    }
    get SERVICE_CENTER_NAME(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('service_center_name','serviceCenterName','service_center_name', this);
    }
    get APP_ID(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('app_id','appId','app_id', this);
    }
    get APP_NAME(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('app_name','appName','app_name', this);
    }
    get ENV_ID(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('env_id','envId','env_id', this);
    }
    get ENV_CODE(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('env_code','envCode','env_code', this);
    }
    get K8S_ID(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('k8s_id','k8sId','k8s_id', this);
    }
    get K8S_NAME(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('k8s_name','k8sName','k8s_name', this);
    }
    get CONFIG_CENTER_CODE(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('config_center_code','configCenterCode','config_center_code', this);
    }
    get IMAGE_ID(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('image_id','imageId','image_id', this);
    }
    get NAME(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('name','name','name', this);
    }
    get IMAGE_NAME(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('image_name','imageName','image_name', this);
    }
    get IMAGE_INFO(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('image_info','imageInfo','image_info', this);
    }
    get START_SCRIPT(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('start_script','startScript','start_script', this);
    }
    get CN_SLB_ID(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('cn_slb_id','cnSlbId','cn_slb_id', this);
    }
    get SLB_ID(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('slb_id','slbId','slb_id', this);
    }
    get SPEC_TEMPLATE_ID(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('spec_template_id','specTemplateId','spec_template_id', this);
    }
    get SPEC_TEMPLATE_NAME(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('spec_template_name','specTemplateName','spec_template_name', this);
    }
    get METRICS_TEMPLATE_ID(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('metrics_template_id','metricsTemplateId','metrics_template_id', this);
    }
    get METRICS_TEMPLATE_NAME(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('metrics_template_name','metricsTemplateName','metrics_template_name', this);
    }
    get MIN_INSTANCE(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('min_instance','minInstance','min_instance', this);
    }
    get MAX_INSTANCE(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('max_instance','maxInstance','max_instance', this);
    }
    get CPU(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('cpu','cpu','cpu', this);
    }
    get MEMORY(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('memory','memory','memory', this);
    }
    get APP_OPTIONS_CONFIG(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('app_options_config','appOptionsConfig','app_options_config', this);
    }
    get DEPLOY_STATUS(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('deploy_status','deployStatus','deploy_status', this);
    }
    get DEPLOY_MSG(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('deploy_msg','deployMsg','deploy_msg', this);
    }
    get DELETED(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('deleted','deleted','deleted', this);
    }
    get CREATE_USER_ID(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('create_user_id','createUserId','create_user_id', this);
    }
    get CREATE_TIME(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('create_time','createTime','create_time', this);
    }
    get UPDATE_USER_ID(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('update_user_id','updateUserId','update_user_id', this);
    }
    get UPDATE_TIME(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('update_time','updateTime','update_time', this);
    }
    get IMAGE_PORT_MAPPING(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('image_port_mapping','imagePortMapping','image_port_mapping', this);
    }
    get ELASTIC_TYPE(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('elastic_type','elasticType','elastic_type', this);
    }
    get SLB_NAME(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('slb_name','slbName','slb_name', this);
    }
    get DOMAIN(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('domain','domain','domain', this);
    }
    get URI(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('uri','uri','uri', this);
    }
    get LABEL_ID(): FieldUtil<CnGatewayVOCU>{  
        return new FieldUtil('label_id','labelId','label_id', this);
    }
}

@Singleton
class CnGatewayVOMU extends ModelUtilImpl<CnGatewayVOCU,CnGatewayVO>{ 
    joinTables = [];
    selectSQL ='select  g.id,g.service_center_id,g.service_center_name,g.app_id,g.app_name,g.env_id,g.env_code,g.k8s_id,g.k8s_name,g.config_center_code,g.image_id,g.name,g.image_name,g.image_info,g.start_script,g.cn_slb_id,g.slb_id,g.spec_template_id,g.spec_template_name,g.metrics_template_id,g.metrics_template_name,g.min_instance,g.max_instance,g.cpu,g.memory,g.app_options_config,g.deploy_status,g.deploy_msg,g.deleted,g.create_user_id,g.create_time,g.update_user_id,g.update_time,g.image_port_mapping,g.elastic_type,g.slb_name,g."domain",g.uri, t.id as label_id from kt_cn.cn_gateway g left join kt_cn.cn_label_ref lf on g.id = lf.bussiness_id left join  kt_cn.cn_label t on lf.label_id = t.id';
    tableFields  = ['id','service_center_id','service_center_name','app_id','app_name','env_id','env_code','k8s_id','k8s_name','config_center_code','image_id','name','image_name','image_info','start_script','cn_slb_id','slb_id','spec_template_id','spec_template_name','metrics_template_id','metrics_template_name','min_instance','max_instance','cpu','memory','app_options_config','deploy_status','deploy_msg','deleted','create_user_id','create_time','update_user_id','update_time','image_port_mapping','elastic_type','slb_name','domain','uri','label_id'];
    modelFields  = ['id','serviceCenterId','serviceCenterName','appId','appName','envId','envCode','k8sId','k8sName','configCenterCode','imageId','name','imageName','imageInfo','startScript','cnSlbId','slbId','specTemplateId','specTemplateName','metricsTemplateId','metricsTemplateName','minInstance','maxInstance','cpu','memory','appOptionsConfig','deployStatus','deployMsg','deleted','createUserId','createTime','updateUserId','updateTime','imagePortMapping','elasticType','slbName','domain','uri','labelId'];

    createConditionUtil(): CnGatewayVOCU {
        return new CnGatewayVOCUImpl();
    }   

    static get ID(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('id','id','id', new CnGatewayVOCUImpl());
    }
    static get SERVICE_CENTER_ID(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('service_center_id','serviceCenterId','service_center_id', new CnGatewayVOCUImpl());
    }
    static get SERVICE_CENTER_NAME(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('service_center_name','serviceCenterName','service_center_name', new CnGatewayVOCUImpl());
    }
    static get APP_ID(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('app_id','appId','app_id', new CnGatewayVOCUImpl());
    }
    static get APP_NAME(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('app_name','appName','app_name', new CnGatewayVOCUImpl());
    }
    static get ENV_ID(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('env_id','envId','env_id', new CnGatewayVOCUImpl());
    }
    static get ENV_CODE(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('env_code','envCode','env_code', new CnGatewayVOCUImpl());
    }
    static get K8S_ID(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('k8s_id','k8sId','k8s_id', new CnGatewayVOCUImpl());
    }
    static get K8S_NAME(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('k8s_name','k8sName','k8s_name', new CnGatewayVOCUImpl());
    }
    static get CONFIG_CENTER_CODE(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('config_center_code','configCenterCode','config_center_code', new CnGatewayVOCUImpl());
    }
    static get IMAGE_ID(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('image_id','imageId','image_id', new CnGatewayVOCUImpl());
    }
    static get NAME(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('name','name','name', new CnGatewayVOCUImpl());
    }
    static get IMAGE_NAME(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('image_name','imageName','image_name', new CnGatewayVOCUImpl());
    }
    static get IMAGE_INFO(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('image_info','imageInfo','image_info', new CnGatewayVOCUImpl());
    }
    static get START_SCRIPT(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('start_script','startScript','start_script', new CnGatewayVOCUImpl());
    }
    static get CN_SLB_ID(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('cn_slb_id','cnSlbId','cn_slb_id', new CnGatewayVOCUImpl());
    }
    static get SLB_ID(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('slb_id','slbId','slb_id', new CnGatewayVOCUImpl());
    }
    static get SPEC_TEMPLATE_ID(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('spec_template_id','specTemplateId','spec_template_id', new CnGatewayVOCUImpl());
    }
    static get SPEC_TEMPLATE_NAME(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('spec_template_name','specTemplateName','spec_template_name', new CnGatewayVOCUImpl());
    }
    static get METRICS_TEMPLATE_ID(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('metrics_template_id','metricsTemplateId','metrics_template_id', new CnGatewayVOCUImpl());
    }
    static get METRICS_TEMPLATE_NAME(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('metrics_template_name','metricsTemplateName','metrics_template_name', new CnGatewayVOCUImpl());
    }
    static get MIN_INSTANCE(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('min_instance','minInstance','min_instance', new CnGatewayVOCUImpl());
    }
    static get MAX_INSTANCE(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('max_instance','maxInstance','max_instance', new CnGatewayVOCUImpl());
    }
    static get CPU(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('cpu','cpu','cpu', new CnGatewayVOCUImpl());
    }
    static get MEMORY(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('memory','memory','memory', new CnGatewayVOCUImpl());
    }
    static get APP_OPTIONS_CONFIG(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('app_options_config','appOptionsConfig','app_options_config', new CnGatewayVOCUImpl());
    }
    static get DEPLOY_STATUS(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('deploy_status','deployStatus','deploy_status', new CnGatewayVOCUImpl());
    }
    static get DEPLOY_MSG(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('deploy_msg','deployMsg','deploy_msg', new CnGatewayVOCUImpl());
    }
    static get DELETED(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('deleted','deleted','deleted', new CnGatewayVOCUImpl());
    }
    static get CREATE_USER_ID(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('create_user_id','createUserId','create_user_id', new CnGatewayVOCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('create_time','createTime','create_time', new CnGatewayVOCUImpl());
    }
    static get UPDATE_USER_ID(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('update_user_id','updateUserId','update_user_id', new CnGatewayVOCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('update_time','updateTime','update_time', new CnGatewayVOCUImpl());
    }
    static get IMAGE_PORT_MAPPING(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('image_port_mapping','imagePortMapping','image_port_mapping', new CnGatewayVOCUImpl());
    }
    static get ELASTIC_TYPE(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('elastic_type','elasticType','elastic_type', new CnGatewayVOCUImpl());
    }
    static get SLB_NAME(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('slb_name','slbName','slb_name', new CnGatewayVOCUImpl());
    }
    static get DOMAIN(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('domain','domain','domain', new CnGatewayVOCUImpl());
    }
    static get URI(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('uri','uri','uri', new CnGatewayVOCUImpl());
    }
    static get LABEL_ID(): FieldUtil<CnGatewayVOCU>{ 
        return new FieldUtil('label_id','labelId','label_id', new CnGatewayVOCUImpl());
    }

    get ID(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.ID;
    }
    get SERVICE_CENTER_ID(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.SERVICE_CENTER_ID;
    }
    get SERVICE_CENTER_NAME(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.SERVICE_CENTER_NAME;
    }
    get APP_ID(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.APP_ID;
    }
    get APP_NAME(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.APP_NAME;
    }
    get ENV_ID(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.ENV_ID;
    }
    get ENV_CODE(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.ENV_CODE;
    }
    get K8S_ID(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.K8S_ID;
    }
    get K8S_NAME(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.K8S_NAME;
    }
    get CONFIG_CENTER_CODE(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.CONFIG_CENTER_CODE;
    }
    get IMAGE_ID(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.IMAGE_ID;
    }
    get NAME(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.NAME;
    }
    get IMAGE_NAME(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.IMAGE_NAME;
    }
    get IMAGE_INFO(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.IMAGE_INFO;
    }
    get START_SCRIPT(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.START_SCRIPT;
    }
    get CN_SLB_ID(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.CN_SLB_ID;
    }
    get SLB_ID(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.SLB_ID;
    }
    get SPEC_TEMPLATE_ID(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.SPEC_TEMPLATE_ID;
    }
    get SPEC_TEMPLATE_NAME(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.SPEC_TEMPLATE_NAME;
    }
    get METRICS_TEMPLATE_ID(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.METRICS_TEMPLATE_ID;
    }
    get METRICS_TEMPLATE_NAME(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.METRICS_TEMPLATE_NAME;
    }
    get MIN_INSTANCE(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.MIN_INSTANCE;
    }
    get MAX_INSTANCE(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.MAX_INSTANCE;
    }
    get CPU(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.CPU;
    }
    get MEMORY(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.MEMORY;
    }
    get APP_OPTIONS_CONFIG(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.APP_OPTIONS_CONFIG;
    }
    get DEPLOY_STATUS(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.DEPLOY_STATUS;
    }
    get DEPLOY_MSG(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.DEPLOY_MSG;
    }
    get DELETED(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.DELETED;
    }
    get CREATE_USER_ID(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.CREATE_USER_ID;
    }
    get CREATE_TIME(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.CREATE_TIME;
    }
    get UPDATE_USER_ID(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.UPDATE_USER_ID;
    }
    get UPDATE_TIME(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.UPDATE_TIME;
    }
    get IMAGE_PORT_MAPPING(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.IMAGE_PORT_MAPPING;
    }
    get ELASTIC_TYPE(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.ELASTIC_TYPE;
    }
    get SLB_NAME(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.SLB_NAME;
    }
    get DOMAIN(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.DOMAIN;
    }
    get URI(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.URI;
    }
    get LABEL_ID(): FieldUtil<CnGatewayVOCU>{ 
        return CnGatewayVOMU.LABEL_ID;
    }
}
export {CnGatewayVOMU, CnGatewayVOCU}
